## ros-noetic-etsi-its-mapem-ts-msgs 3.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(etsi_its_mapem_ts_msgs)

find_package(ros_environment REQUIRED QUIET)
set(ROS_VERSION $ENV{ROS_VERSION})

# === ROS 2 (AMENT) ============================================================
if(${ROS_VERSION} EQUAL 2)

  find_package(ament_cmake REQUIRED)
  find_package(rosidl_default_generators REQUIRED)

  set(msg_files
    "msg/AllowedManeuvers.msg"
    "msg/Angle.msg"
    "msg/ApproachID.msg"
    "msg/ComputedLane.msg"
    "msg/ConnectingLane.msg"
    "msg/Connection.msg"
    "msg/ConnectsToList.msg"
    "msg/DataParameters.msg"
    "msg/DeltaAngle.msg"
    "msg/DescriptiveName.msg"
    "msg/DrivenLineOffsetLg.msg"
    "msg/DrivenLineOffsetSm.msg"
    "msg/Elevation.msg"
    "msg/GenericLane.msg"
    "msg/IntersectionGeometry.msg"
    "msg/IntersectionGeometryList.msg"
    "msg/IntersectionID.msg"
    "msg/IntersectionReferenceID.msg"
    "msg/ItsPduHeader.msg"
    "msg/LaneAttributes.msg"
    "msg/LaneAttributesBarrier.msg"
    "msg/LaneAttributesBike.msg"
    "msg/LaneAttributesCrosswalk.msg"
    "msg/LaneAttributesParking.msg"
    "msg/LaneAttributesSidewalk.msg"
    "msg/LaneAttributesStriping.msg"
    "msg/LaneAttributesTrackedVehicle.msg"
    "msg/LaneAttributesVehicle.msg"
    "msg/LaneConnectionID.msg"
    "msg/LaneDataAttribute.msg"
    "msg/LaneDataAttributeList.msg"
    "msg/LaneDirection.msg"
    "msg/LaneID.msg"
    "msg/LaneList.msg"
    "msg/LaneSharing.msg"
    "msg/LaneTypeAttributes.msg"
    "msg/LaneWidth.msg"
    "msg/Latitude.msg"
    "msg/LayerID.msg"
    "msg/LayerType.msg"
    "msg/Longitude.msg"
    "msg/MAPEM.msg"
    "msg/MapData.msg"
    "msg/MergeDivergeNodeAngle.msg"
    "msg/MinuteOfTheYear.msg"
    "msg/MsgCount.msg"
    "msg/NodeAttributeSetXY.msg"
    "msg/NodeAttributeXY.msg"
    "msg/NodeAttributeXYList.msg"
    "msg/NodeLLmD64b.msg"
    "msg/NodeListXY.msg"
    "msg/NodeOffsetPointXY.msg"
    "msg/NodeSetXY.msg"
    "msg/NodeXY.msg"
    "msg/NodeXY20b.msg"
    "msg/NodeXY22b.msg"
    "msg/NodeXY24b.msg"
    "msg/NodeXY26b.msg"
    "msg/NodeXY28b.msg"
    "msg/NodeXY32b.msg"
    "msg/OffsetB10.msg"
    "msg/OffsetB11.msg"
    "msg/OffsetB12.msg"
    "msg/OffsetB13.msg"
    "msg/OffsetB14.msg"
    "msg/OffsetB16.msg"
    "msg/OverlayLaneList.msg"
    "msg/Position3D.msg"
    "msg/PreemptPriorityList.msg"
    "msg/RegulatorySpeedLimit.msg"
    "msg/RestrictionAppliesTo.msg"
    "msg/RestrictionClassAssignment.msg"
    "msg/RestrictionClassID.msg"
    "msg/RestrictionClassList.msg"
    "msg/RestrictionUserType.msg"
    "msg/RestrictionUserTypeList.msg"
    "msg/RoadLaneSetList.msg"
    "msg/RoadRegulatorID.msg"
    "msg/RoadSegment.msg"
    "msg/RoadSegmentID.msg"
    "msg/RoadSegmentList.msg"
    "msg/RoadSegmentReferenceID.msg"
    "msg/RoadwayCrownAngle.msg"
    "msg/ScaleB12.msg"
    "msg/SegmentAttributeXY.msg"
    "msg/SegmentAttributeXYList.msg"
    "msg/SignalControlZone.msg"
    "msg/SignalGroupID.msg"
    "msg/SpeedLimitList.msg"
    "msg/SpeedLimitType.msg"
    "msg/StationID.msg"
    "msg/Velocity.msg"
  )

  rosidl_generate_interfaces(${PROJECT_NAME}
    ${msg_files}
  )

  ament_export_dependencies(rosidl_default_runtime)

  ament_package()

# === ROS (CATKIN) =============================================================
elseif(${ROS_VERSION} EQUAL 1)

  find_package(catkin REQUIRED COMPONENTS
    message_generation
    std_msgs
  )

  add_message_files(DIRECTORY msg)

  generate_messages(
    DEPENDENCIES std_msgs
  )

  catkin_package(
    CATKIN_DEPENDS
      message_runtime
      std_msgs
  )

endif()

=== debian/changelog ===
ros-noetic-etsi-its-mapem-ts-msgs (3.2.0-1focal) focal; urgency=high



 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 22 Apr 2025 00:00:00 -0000

ros-noetic-etsi-its-mapem-ts-msgs (3.1.0-1focal) focal; urgency=high

  * Merge pull request #67 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/67> from ika-rwth-aachen/update-copyright
    Update copyright
  * Merge branch 'main' into feature/spat-map-plugin
  * Contributors: Guido Küppers, Lennart Reiher

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Mon, 17 Feb 2025 00:00:00 -0000

ros-noetic-etsi-its-mapem-ts-msgs (3.0.0-1focal) focal; urgency=high

  * Merge pull request #46 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/46> from ika-rwth-aachen/improvement/formatting
    Usability and formatting improvements for codegen-py
  * Merge pull request #47 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/47> from ika-rwth-aachen/improvement/naming-rules
  * Merge pull request #28 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/28> from ika-rwth-aachen/feature/spatem-mapem
    SPATEM/MAPEM Support
  * Contributors: Jean-Pierre Busch, Lennart Reiher

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 10 Dec 2024 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-etsi-its-mapem-ts-msgs
Section: misc
Priority: optional
Maintainer: Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-ros-environment, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-etsi-its-mapem-ts-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-generation, ros-noetic-message-runtime, ros-noetic-ros-environment, ros-noetic-std-msgs
Description: ROS messages for ETSI ITS MAPEM (TS)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-etsi-its-mapem-ts-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
